outdated ipad mini 2.3 and newer versions of Cubasis

Hello, in connection with the release of ipad oc in the fall, will the new Cubasis versions work on ipad mini of the second and third generation

hello again)) so all the same will there be support for Cubasis 2 ?, installing Cubasis 3 on iPhone x just by buying a new application?

Hi Ronio072,

Please find the Cubasis 3 system requirements listed on our Cubasis 3 website (steinberg.net/cubasis):
https://new.steinberg.net/cubasis/compare-editions/

Thanks,
Lars